rpmsq.h File Reference
I/O » RPM IO API.

Signal Queue API. More...

`#include <rpm/rpmsw.h>`
`#include <signal.h>`
Include dependency graph for rpmsq.h:

Go to the source code of this file.

## Macros

#define | RPMSQ_DFL ((rpmsqAction_t)0)
| SIG_DFL, SIG_IGN and SIG_ERR counterparts. More...
#define | RPMSQ_IGN ((rpmsqAction_t)1)
#define | RPMSQ_ERR ((rpmsqAction_t)-1)

## Typedefs

typedef void(* | rpmsqAction_t) (int signum, siginfo_t *info, void *context)
| Default signal handler prototype. More...

## Functions

int | rpmsqIsCaught (int signum)
| Test if given signal has been caught (while signals blocked). More...
int | rpmsqActivate (int state)
| Activate (or disable) the signal queue. More...
rpmsqAction_t | rpmsqSetAction (int signum, rpmsqAction_t handler)
| Set or delete a signal handler for a signal. More...
int | rpmsqBlock (int op)
| Block or unblock (almost) all signals. More...
int | rpmsqPoll (void)
| Poll for caught signals, executing their handlers. More...
void | rpmsqSetInterruptSafety (int on)

## Detailed Description

Signal Queue API.

Definition in file rpmsq.h.

## Macro Definition Documentation

## RPMSQ_ERR

#define RPMSQ_ERR ((rpmsqAction_t)-1)

Definition at line 29 of file rpmsq.h.

## RPMSQ_IGN

#define RPMSQ_IGN ((rpmsqAction_t)1)

Definition at line 28 of file rpmsq.h.

## Function Documentation

## rpmsqSetInterruptSafety()

void rpmsqSetInterruptSafety | ( | int | on | ) |